登录  免费注册
当前位置:首页 > 漏洞详细信息

ncurses缓冲区溢出漏洞(CNVD-2020-13676)

 关注(0)  
CNVD-ID CNVD-2020-13676
公开日期 2020-02-26
危害级别 中 (AV:L/AC:L/Au:N/C:P/I:P/A:P)
影响产品 Gnu ncurses <6.1-20191012
CVE ID CVE-2019-17594
漏洞描述 ncurses是一个字符终端处理库,它能够提供一系列函数以供用户调用并生成基于文本的用户界面。

ncurses 6.1-20191012之前版本中的terminfo库的tinfo/comp_hash.c文件的‘_nc_find_entry’函数存在缓冲区溢出漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作,攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2019-17594
漏洞解决方案 厂商已发布了漏洞修复程序,请及时关注更新:
https://lists.gnu.org/archive/html/bug-ncurses/2019-10/msg00045.html
厂商补丁 ncurses缓冲区溢出漏洞(CNVD-2020-13676)的补丁
验证信息 (暂无验证信息)
报送时间 2019-10-15
收录时间 2020-02-26
更新时间 2020-02-26
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论